*{
    margin: 15px; /* removes the weird gap at the top of the webpage for the banner */
    padding: 0;
}
ul { /* removes bullet points */
    list-style-type: none;
    font-family: cursive;
}
.horizontal-list{
    display: flex;
    float: right;
    padding: 0px;
    margin: 0px;
    gap: 50px;
    cursor: pointer;
}
.horizontal-list li a {
  text-decoration: none; /* Removes underlines from links */
  color: white; 
 
}
.btn{
     /* Fallback background color for older browsers */
  background-color: #46026d; 
  
  /* The gradient effect */
  
  /* Other styling properties */
  border: none;
  color: white;
  padding: 1em 2em;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 1000px; /* Adjust border-radius as needed */
  position: relative;
  background-color: black;
  display: flex;
  justify-content: center;
  align-items: center;
}
.btn::after{
    content: '';
    position: absolute;
    height: 107%;
    width: 102%;
    border-radius: 1000px;
    background-image: linear-gradient(to bottom right, red, blue);
    z-index: -1;
}

.btn:hover{
    z-index: 0;
    box-shadow: 40px 0 100px red, 
    -40px 0 100px blue;
}

body {
    margin: 0;
    padding: 0;
    background-image: url(image/wallpaperflare.com_wallpaper.jpg);
    background-position: bottom;
    background-attachment: fixed;
    background-size: cover;
}
img{
    height: 250px;
    width: 250px;
    border-radius: 10px;
}
#grid{
    display: grid;
    grid-template-columns: 450px 450px;
    grid-auto-rows: 1fr;
    overflow: hidden;
    gap: 1em;
    grid-template-areas: 
    "box-1 box-3 box-4"
    "box-1 box-2 box-2";
}
.elements{
    padding: 2em;
    background: rgb(0, 0, 0);
    text-align: center;
    border-radius: 50px;
    font-size: medium;
    color: white;
    position:relative;
}
.elements::after, .elements::before{
    content: '';
    position:absolute;
    height: 101%;
    width:102%;
    background-image: conic-gradient(red, orange, yellow, green, blue, purple, red);
    top:50%;
    left:50%;
    translate: -50% -50%;
    z-index: -1;
    padding: 3px;
    border-radius: 50px;

}
.elements::before{
    filter: blur(1.5rem);
    opacity: 0.5;
}

.GitHublogo{
    width: 650px;
}





